
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>数据结构之自建算法库——广义表 / 憋错料</title>

    <meta name="description" content="数据结构之自建算法库——广义表 本文针对数据结构基础系列网络课程(5):数组与广义表中第6课时广义表的存储结构及基本运算的实现. 广义算法库采用程序的多文件组织形式,包括两个文件: 1.头文件:glist.h,包含定义稀疏矩阵的三元组表示数据结构的代码.宏定义.要实现算法的函数的声明: #ifndef GLIST_H_INCLUDED #define GLIST_H_INCLUDED typedef char ElemType; typedef struct lnode { int tag; //节点类型标识 union {">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">数据结构之自建算法库——广义表</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>本文针对数据结构基础系列网络课程(5)：数组与广义表中第6课时广义表的存储结构及基本运算的实现。</p>
<p>广义算法库采用程序的多文件组织形式，包括两个文件：</p>
<p>　　1.头文件：glist.h，包含定义稀疏矩阵的三元组表示数据结构的代码、宏定义、要实现算法的函数的声明；</p>
<pre><code>#ifndef GLIST_H_INCLUDED
#define GLIST_H_INCLUDED

typedef char ElemType;
typedef struct lnode
{
    int tag;                    //节点类型标识
    union
    {
        ElemType data;          //原子值
        struct lnode *sublist;  //指向子表的指针
    } val;
    struct lnode *link;         //指向下一个元素
} GLNode;                       //广义表节点类型定义

int GLLength(GLNode *g);        //求广义表g的长度
int GLDepth(GLNode *g);     //求广义表g的深度
GLNode *CreateGL(char *&amp;s);     //返回由括号表示法表示s的广义表链式存储结构
void DispGL(GLNode *g);                 //输出广义表g

#endif // GLIST_H_INCLUDED
</code></pre>
<p>2.源文件：glist.cpp，包含实现各种算法的函数的定义</p>
<pre><code>#include &lt;stdio.h&gt;
#include &lt;malloc.h&gt;
#include "glist.h"
int GLLength(GLNode *g)     //求广义表g的长度
{
    int n=0;
    GLNode *g1;
    g1=g-&gt;val.sublist;      //g指向广义表的第一个元素
    while (g1!=NULL)
    {
        n++;                //累加元素个数
        g1=g1-&gt;link;
    }
    return n;
}

int GLDepth(GLNode *g)      //求广义表g的深度
{
    GLNode *g1;
    int max=0,dep;
    if (g-&gt;tag==0)          //为原子时返回0
        return 0;
    g1=g-&gt;val.sublist;      //g1指向第一个元素
    if (g1==NULL)           //为空表时返回1
        return 1;
    while (g1!=NULL)        //遍历表中的每一个元素
    {
        if (g1-&gt;tag==1)     //元素为子表的情况
        {
            dep=GLDepth(g1);    //递归调用求出子表的深度
            if (dep&gt;max)    //max为同一层所求过的子表中深度的最大值
                max=dep;
        }
        g1=g1-&gt;link;            //使g1指向下一个元素
    }
    return(max+1);          //返回表的深度
}

GLNode *CreateGL(char *&amp;s)      //返回由括号表示法表示s的广义表链式存储结构
{
    GLNode *g;
    char ch=*s++;                       //取一个字符
    if (ch!=‘\0‘)                      //串未结束判断
    {
        g=(GLNode *)malloc(sizeof(GLNode));//创建一个新节点
        if (ch==‘(‘)                    //当前字符为左括号时
        {
            g-&gt;tag=1;                   //新节点作为表头节点
            g-&gt;val.sublist=CreateGL(s); //递归构造子表并链到表头节点
        }
        else if (ch==‘)‘)
            g=NULL;                     //遇到‘)‘字符,g置为空
        else if (ch==‘#‘)               //遇到‘#‘字符，表示为空表
            g=NULL;
        else                            //为原子字符
        {
            g-&gt;tag=0;                   //新节点作为原子节点
            g-&gt;val.data=ch;
        }
    }
    else                                 //串结束,g置为空
        g=NULL;
    ch=*s++;                            //取下一个字符
    if (g!=NULL)                        //串未结束，继续构造兄弟节点
    {
        if (ch==‘,‘)                    //当前字符为‘,‘
            g-&gt;link=CreateGL(s);        //递归构造兄弟节点
        else                            //没有兄弟了,将兄弟指针置为NULL
            g-&gt;link=NULL;
    }

    return g;                           //返回广义表g
}

void DispGL(GLNode *g)                  //输出广义表g
{
    if (g!=NULL)                        //表不为空判断
    {
        //先处理g的元素
        if (g-&gt;tag==0)                  //g的元素为原子时
            printf("%c", g-&gt;val.data);  //输出原子值
        else                            //g的元素为子表时
        {
            printf("(");                //输出‘(‘
            if (g-&gt;val.sublist==NULL)   //为空表时
                printf("#");
            else                        //为非空子表时
                DispGL(g-&gt;val.sublist); //递归输出子表
            printf(")");                //输出‘)‘
        }
        if (g-&gt;link!=NULL)
        {
            printf(",");
            DispGL(g-&gt;link);            //递归输出后续表的内容
        }
    }
}
</code></pre>
<p>3.在同一项目（project）中建立一个源文件(如main.cpp)，编制main函数，完成相关的测试工作。 例：</p>
<pre><code>#include &lt;stdio.h&gt;
#include "glist.h"
int main()
{
    GLNode *g;
    char *s="(b,(b,a,(#),d),((a,b),c((#))))";
    g = CreateGL(s);
    DispGL(g);
    printf("广义表长度:%d\n", GLLength(g));
    printf("广义表深度:%d\n", GLDepth(g));
    return 0;
}
</code></pre>
<p>版权声明：本文为博主原创文章，未经博主允许不得转载。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 22:29:08 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84/" title="数据结构">数据结构</a>, <a href="https://www.biecuoliao.com/tag/%e5%b9%bf%e4%b9%89%e8%a1%a8/" title="广义表">广义表</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>数据结构之自建算法库——广义表的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k6DbzM.html" rel="bookmark">数据结构之自建算法库&mdash;&mdash;顺序表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习&lt;数据结构&gt;课程的过程中,同步开展实践.对每一种逻辑结构,实现其各种存储结构下的基本运算,是一项基础性的工作.学习方法建议请参考&quot;0207将算法变程序&quot;[视频]部分建议的方法 本文为算法库中的第一个,针对线性表中的顺序存储结构,实现各种基本运算. 算法库包括两个文件: ? 头文件:list.h,包含定义顺序表数据结构的代码.宏定义.要实现算法的函数的声明: ? 源文件:list.cpp,包含实现各种算法的函数的定义 list.h #ifndef LIST_H_INCLU			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38ZElKM.html" rel="bookmark">数据结构之自建算法库&mdash;&mdash;稀疏矩阵的三元组表示</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文针对数据结构基础系列网络课程(5):数组与广义表中第3课时稀疏矩阵的三元组表示. 稀疏矩阵的三元组表示相关的算法库采用程序的多文件组织形式,包括两个文件: 1.头文件:tup.h,包含定义稀疏矩阵的三元组表示数据结构的代码.宏定义.要实现算法的函数的声明: #ifndef TUP_H_INCLUDED #define TUP_H_INCLUDED #define M 6 #define N 7 #define MaxSize 100 //矩阵中非零元素最多个数 typedef int Ele			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVwLQw0.html" rel="bookmark">数据结构之自建算法库&mdash;&mdash;二叉树的链式存储及基本运算</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是数据结构基础系列(6):树和二叉树中第9课时二叉树的基本运算及其实现的例程. 单链表算法库算法库采用程序的多文件组织形式,包括两个文件: 1.头文件:btree.h,包含定义顺序表数据结构的代码.宏定义.要实现算法的函数的声明: #ifndef BTREE_H_INCLUDED #define BTREE_H_INCLUDED #define MaxSize 100 typedef char ElemType; typedef struct node { ElemType data; //			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyWqBa3.html" rel="bookmark">数据结构之自建算法库&mdash;&mdash;单链表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文针对数据结构基础系列网络课程(2):线性表中第10课时单链表基本操作的实现,建立单链表数据存储结构基本操作的算法库. 按照&quot;0207将算法变程序&quot;[视频]部分建议的方法,建设自己的专业基础设施算法库. 单链表算法库算法库采用程序的多文件组织形式,包括两个文件: 1.头文件:linklist.h,包含定义顺序表数据结构的代码.宏定义.要实现算法的函数的声明: #ifndef LINKLIST_H_INCLUDED #define LINKLIST_H_INCLUDED typedef			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6lLmN3.html" rel="bookmark">数据结构之自建算法库&mdash;&mdash;循环双链表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文针对数据结构基础系列网络课程(2):线性表中第13课时循环链表. 按照&quot;0207将算法变程序&quot;[视频]部分建议的方法,建设自己的专业基础设施算法库. 双链表算法库算法库采用程序的多文件组织形式,包括两个文件: 1.头文件:cdlinklist.h,包含定义双链表数据结构的代码.宏定义.要实现算法的函数的声明: #ifndef CDLINKLIST_H_INCLUDED #define CDLINKLIST_H_INCLUDED //循环双链表基本运算函数 typedef int E			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MD8eY8M.html" rel="bookmark">数据结构之自建算法库&mdash;&mdash;循环单链表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文针对数据结构基础系列网络课程(2):线性表中第13课时双链表. 按照&quot;0207将算法变程序&quot;[视频]部分建议的方法,建设自己的专业基础设施算法库. 双链表算法库算法库采用程序的多文件组织形式,包括两个文件: 1.头文件:clinklist.h,包含定义双链表数据结构的代码.宏定义.要实现算法的函数的声明: #ifndef CLINKLIST_H_INCLUDED #define CLINKLIST_H_INCLUDED //循环单链表基本运算函数 typedef int ElemT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mgm75N3.html" rel="bookmark">数据结构之自建算法库&mdash;&mdash;双链表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文针对数据结构基础系列网络课程(2):线性表中第12课时双链表. 按照&quot;0207将算法变程序&quot;[视频]部分建议的方法,建设自己的专业基础设施算法库. 双链表算法库算法库采用程序的多文件组织形式,包括两个文件: 1.头文件:dlinklist.h,包含定义双链表数据结构的代码.宏定义.要实现算法的函数的声明: #ifndef DLINKLIST_H_INCLUDED #define DLINKLIST_H_INCLUDED typedef int ElemType; typedef s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/ME1kxgM.html" rel="bookmark">数据结构之自建算法库&mdash;&mdash;链串</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文针对数据结构基础系列网络课程(4):串中第4课时串的链式存储及其基本操作实现. 按照&quot;0207将算法变程序&quot;[视频]部分建议的方法,建设自己的专业基础设施算法库. 链队算法库采用程序的多文件组织形式,包括两个文件: 1.头文件:liString.h,包含定义链队数据结构的代码.宏定义.要实现算法的函数的声明: #ifndef LISTRING_H_INCLUDED #define LISTRING_H_INCLUDED typedef struct snode { char dat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a6wKq3.html" rel="bookmark">数据结构之自建算法库&mdash;&mdash;顺序串</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文针对数据结构基础系列网络课程(4):串中第4课时串的顺序存储及其基本操作实现. 按照&quot;0207将算法变程序&quot;[视频]部分建议的方法,建设自己的专业基础设施算法库. 链队算法库采用程序的多文件组织形式,包括两个文件: 1.头文件:sqString.h,包含定义链队数据结构的代码.宏定义.要实现算法的函数的声明: 2.源文件:sqString.cpp,包含实现各种算法的函数的定义 3.在同一项目(project)中建立一个源文件(如main.cpp),编制main函数,完成相关的测试工			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzBaJM.html" rel="bookmark" class="title">Phpstorm设定</a>
					<div>
						编译PHP文件 1.file--settings--Project:script_01_02.php(此文件名会根据情况而变)--Directories--Add Content Root,添加php ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/j35e723.html" rel="bookmark" class="title">【转】nginx中的ngx&lowbar;cdecl</a>
					<div>
						http://blog.csdn.net/midion9/article/details/50605337 看nginx的代码时,发现有些函数返回值之后,还有一个ngx_cdecl关键字,如: 1 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a7kak4.html" rel="bookmark" class="title">使用broker监控dataguard</a>
					<div>
						使用broker查看dataguard信息时有告警 DGMGRL&gt; show configuration; Configuration - DRTEST Protection Mode: Max ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWyyKG3.html" rel="bookmark" class="title">Python学习之--python概要</a>
					<div>
						1 Python的优点 Python语言类库齐全,语法简洁,而且在linux上自带安装,在处理大数据以及自动化方面有其独有的特点.2 Python的解释器 Python解释器用来解释python代码, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vE9kL0.html" rel="bookmark" class="title">C&num;中怎样实现序列化和反序列化</a>
					<div>
						我们想要将数据进行持久化的操作的话,也就是将数据写入到文件中,我们在C#中可以通过IO流来操作,同时也可以通过序列化来操作,本人是比较推荐使用序列化操作的 因为我们如果想要将一个对象持久化到文件中 如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OapnoM.html" rel="bookmark" class="title">visual studio 编辑窗口 设置固定选项卡 使窗口选项卡多行显示</a>
					<div>
						工具&gt;选项&gt; 确定后 如图就可以多行显示了.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38Z7mWM.html" rel="bookmark" class="title">如何解决自定义ToolBar起始位置的空格（左对齐）问题</a>
					<div>
						最近在做项目的时候,与到自定义toolbar的问题,自定义toolbar布局之类的并不是很难,但是自定义布局完成之后,控件总是无法左对齐,这极大的影响了App的美观. 结果谷歌后在Stack Over ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEkBbP3.html" rel="bookmark" class="title">2008年北大核心有效期 计算机类核心&lpar;2011-01-31 15&colon;02&colon;46&rpar;</a>
					<div>
						计算机仿真2012年后还是核心吗?本人认为,99%是.依照评选的标准和打点的情况来看是没有问题.此外,众家说法是:一般上了,除非停刊基本不会出去的.入选通知上有说明:每四年重新评测修订一次,所涉及的期 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8wnj0.html" rel="bookmark" class="title">Qt学习之QListWidget删除Item</a>
					<div>
						将QListWidgetItem从QListWidget列表中删除有两种方法可以做到,但也要根据自己的需要进行选择. 第一种是 QListWidgetItem *takeItem(int row);  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBA9rJ4.html" rel="bookmark" class="title">易语言利用窗口消息实现无边框调整和移动窗口</a>
					<div>
						首先你可以添加4个图片框作为窗口的标题栏和边框 窗口的四周边框和标题栏可以用图片框来捏造 如果你不想别人看见图片框的话可以把图片框的背景颜色弄得和窗口底色一样 移动窗口,你可以用: _启动窗口.发送信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDNZl3.html" rel="bookmark" class="title">程序员怎么问问题？</a>
					<div>
						我经常看见到程序员之间交流. 特别我们这种新手. 在交流群里面说一大堆很专业的话.什么xxx报错了,甚至报什么错都不说清楚. 说出不来了,打死都出不来谁来帮我看看?  =.= 在询问问题之前我觉得应该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGaJQQ3.html" rel="bookmark" class="title">Linux中的ls命令详细使用</a>
					<div>
						文章转自:http://blog.csdn.net/ansha886/article/details/4426103 最近在学习Linux,借博客园好好梳理加强所学知识. ls命令是Linux下最常用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0doxk7M.html" rel="bookmark" class="title">CISCO 3750交换机堆叠</a>
					<div>
						双交换机堆叠操作 一.基本要求: ios版本要一致.专用的堆叠模块和堆叠线缆.最大堆叠个数9 二.堆叠的好处: 高密度端口.便于管理 三.堆叠实例: 1:分别清除两台交换机的配置. 2:物理连接好堆叠 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmYeQDM.html" rel="bookmark" class="title">xmemcached的使用</a>
					<div>
						转载 http://www.voidcn.com/blog/u010408365/article/p-4972896.html xmemcached主要特性 高性能 XMemcached同样是基于ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02y6raM.html" rel="bookmark" class="title">虚函数相关问题分析</a>
					<div>
						﻿﻿ 1.静态联编和动态联编 将源代码中的函数调用解释为执行特定的函数代码块被称为函数名联编.在C语言中,这非常简单,因为每个函数名都对应于一个不同的函数.在C++中,由于函数重载的缘故,这项任务更复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rB21a3.html" rel="bookmark" class="title">楼市、股市后下一届ZF将用什么去做超发货币的蓄水池（</a>
					<div>
						这是天涯论坛上最近的的一个热帖合集,周小川曾直言超发货币需要蓄水池来装,以控制通货膨胀.这个蓄水池楼市做过.股市曾经也充当过,或许现在的地下钱庄也算一部分吧,那下一届政府会如何选择这个蓄水池呢,这或将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME6RG10.html" rel="bookmark" class="title">模态弹出框</a>
					<div>
						&lt;div class=&quot;modal&quot; id=&quot;mymodal&quot;&gt; &lt;div class=&quot;modal-dialog&quot;&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyoKaV3.html" rel="bookmark" class="title">cocos2dx 以子弹飞行为例解说拖尾效果类CCMotionStreak</a>
					<div>
						在游戏开发中,有时会须要在某个游戏对象上的运动轨迹上实现渐隐效果.比方子弹的运动轨迹,假设不借助引擎的帮助,这样的效果则须要通过大量的图片来实现.而Cocos2D-x的拖动渐隐效果类CCMotionS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGDApo0.html" rel="bookmark" class="title">【自习任我行】第二阶段个人总结8</a>
					<div>
						时间:2014年5月5日 十天冲刺第八天: 今天完成进度: 帮周亚豪设计了对话框.实现Android自定义对话框(Dialog)位置.大小.插入图片: 明天计划进度: 帮助张丹丹一起写文档.了解主程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38yRwg4.html" rel="bookmark" class="title">约瑟夫生死游戏&lpar;单链表实现&rpar;</a>
					<div>
						本周的作业还算挺好玩..约瑟夫生死游戏嘛. 老师要抽签选择每个组对应的数据结构.结果宝宝抽到了单链表.... 一.项目简介 约瑟夫生者死者游戏的大意是:30个旅客同乘一条船,因为严重超载,加上风高浪大 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
